Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.monte.media.avi
Class AVIBMPDIB

    java.lang.Object
      org.monte.media.avi.AVIBMPDIB

    public class AVIBMPDIB

extends java.lang.Object

This class defines the JPEG Huffman table, which is omitted in AVI MJPEG files.

Source: Microsoft Windows Bitmap Format. Multimedia Technical Note: JPEG DIB Format. (c) 1993 Microsoft Corporation. All rights reserved. BMPDIB.txt

Version:
  1.0 2009-12-30 Created.
Author:
  Werner Randelshofer

Constructor Summary
`AVIBMPDIB()`

Method Summary
`static java.io.InputStream` | `prependDHTSeg(byte[] jpgWithoutDHT)`
`static java.io.InputStream` | `prependDHTSeg(byte[] jpgWithoutDHT, int offset, int length)`
`static javax.imageio.stream.ImageInputStream` | `prependDHTSeg(javax.imageio.stream.ImageInputStream iisWithoutDHT)`
`static javax.imageio.stream.ImageInputStream` | `prependDHTSeg(java.io.InputStream inWithoutDHT)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AVIBMPDIB

    public AVIBMPDIB()

Method Detail

### prependDHTSeg

    public static java.io.InputStream prependDHTSeg(byte[] jpgWithoutDHT)

### prependDHTSeg

    public static java.io.InputStream prependDHTSeg(byte[] jpgWithoutDHT,
                                                    int offset,
                                                    int length)

### prependDHTSeg

    public static javax.imageio.stream.ImageInputStream prependDHTSeg(javax.imageio.stream.ImageInputStream iisWithoutDHT)
                                                               throws java.io.IOException

  Throws:
    `java.io.IOException`

### prependDHTSeg

    public static javax.imageio.stream.ImageInputStream prependDHTSeg(java.io.InputStream inWithoutDHT)
                                                               throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD